#Myst
- Adds Myst, a high utility survivor that uses a unique resource called 'Magic Power' to use a wide range of otherworldly abilities, and another resource called 'Limit' to unleash powerful super-moves.
- Magic Power only starts to regenerate when fully depleted, where it cannot be used again until filled. - This recharge time can be sped up with items and effects that reduce cooldown time.
- Limit generates very slowly as you block attacks and deal damage, and once you have enough, you can unleash extremely powerful Limit Breaks, but be aware that Limit is limited.

[![](https://cdn.discordapp.com/attachments/534719955418087435/967748976499630130/unknown.png)]()
[![](https://cdn.discordapp.com/attachments/534719955418087435/967752105563660358/BlastingZoneImage.png)]()

----
#To Do

Well, a lot:
- Add configs for HuD customization
- Allow the Magicite Menu to be exited with the Escape key
- Make Magicites shift-clickable to make setting up magicites easier
- Solve the issue of time for sorting out Magicites
- Add EmoteAPI support so the lot of you can have fun doing Fortnite dances, while I pretend to be very unimpressed and snobby :P
- Add sounds for navigating the Magicite Menu
- Add a propper in-game indicator to guide players through the Magicite system
- Fix bugs, I'm sure I've missed some

----
#Showcase

Myst makes use of two nested menus to utilise his equipped "Magicites" and unleash the abilities stored within them

Primary
| Icon | Name | Description | Cooldown |
|:--|--|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/967737052894478376/VorpalSlice.png) | **Vorpal Slice** | Slice at enemies before you dealing damage | none |

Secondary
| Icon | Name | Description | Cooldown |
|:--|--|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/967737053104177182/ParryIcon.png) | **Parry** | Block all frontal damage for a short while, gaining Limit based on damage blocked. | 3 seconds |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967737053313896488/Dash.png) | **Dash** | Dash a short distance in any horizontal direction. | 3 seconds |

Utility
| Icon | Name | Description | Cooldown |
|:--|--|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/967737053544599562/MagicMenu.png) | **Magic Menu** | Open the Magic Menu, allowing you to use equipped spells. | none |

Special
| Icon | Name | Description | Cooldown |
|:--|--|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/967737053733339156/LimitMenu.png) | **Limit Menu** | Open the Limit Menu, allowing you to use equipped Limit Breaks. | none |

Myst starts each run with 7 equiped Magicites
| Icon | Name | Description | Type |
|:--|--|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Fireball** | Shoots a homing fireball at the target that explodes on impact, damaging and burning enemies in the AoE. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Cone of Frost** | Summon a cone of Icy Wind to damage and freeze enemies before you. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Call Lightning** | Call down a bolt of lightning onto your target, dealing damage and knocking airborne targets to the ground. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Magnet** | Summon a magnetic field to pull in enemies in a wide area around the target. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585883226112/MagiciteFinisher.png) | **Explosion** | Stand your ground and summon Orbs of Light to orbit you, damaging and stunning nearby enemies. | Finisher |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585883226112/MagiciteFinisher.png) | **Fated Circle** | A Spinning Attack that stuns and pulls in enemies, followed by fiery explosions that knock them away, dealing heavy damage. | Finisher |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586088755220/MagiciteLimit.png) | **Blasting Zone** | Summon a giant pillar of force to envelop the Vorpal Sword, before swinging the blade to send it crashing down onto foes before you, dealing incredible damage across a wide area. | Limit |

[![](https://cdn.discordapp.com/attachments/534719955418087435/967755915128369162/ResourceImage.png)]()

----

[![](https://cdn.discordapp.com/attachments/534719955418087435/980671478360080464/SynthesisBanner.png)]()

[![](https://cdn.discordapp.com/attachments/534719955418087435/980730248175943710/CharacterSheetPreview.png)]()

[ [IMPORTANT NOTE:] This system, while largely complete is still being worked on, and might receive signifigant changes.]
[ [Additionally:] I'm aware that there isn't really much time afforded to the player throughout a run to be able to use this system to its fullest, various solutions to this problem are being considered, so please be patient with me, I'm trying my best!]
[ [Lastly:] It should also be noted that none of this needs to be touched at all if it seems too complex or clunky, Myst starts with everything he needs to complete a run, and this is just a side-system that can be used to create custom builds or otherwise just play around, so if you don't want to use this system, just don't, and continue to enjoy Mysts base kit. ]

Throughout each run, Myst can use an assortment of methods to create new Magicites through "Synthesis", which he can then equip into his Vorpal Sword in order gain access to new Spells, Finishers, and Limits.
This can be done by first opening the Character Sheet (bound to "4" by default, but can be rebound in the config) and then selecting one of the three buttons under Synthesis, which are as follows:

Equipment: - Removes Mysts current equipment to gain a random new Magicite.
Latent Magicite: - Myst loses 5 "Latent Magicites" to gain a random new Magicite (Latent Magicites are obtained through Desynthesis, which will be explained shortly).
Common Item: - Removes 5 random common items (prioritising scrap) to gain a random new Magicite from the rare pool.

New Magicites then need to be equipped into the Vorpal Sword, which can be done by clicking and dragging it into one of the available slots, Myst only has access to the Spells Limits and Finishers that are currently equipped, so be mindful what you remove, and what you replace.
The slots in the Vorpal Swords are "Linked" into pairs, if a "Support" Magicite is in one slot, its effect will be applied to the ability of the magicite in the paired Slot (Assuming they are compatible)

Magicites in the inventory will have a Latent Magicite icon next to them, clicking on this icon will destroy the Magicite permanently, and grant you up to 8 "Latent Magicites" based on the Magicites level (Max level grants 8, lower levels grant you an amount based on how close they are to max) which can then be used to synthesise new Magicites.
Each enemy Myst kills will provide 1 "Experience" to each equipped Magicite, and once they reach a certain amount of "Experience" they will gain a level, which on it's own doesn't do much, but as mentioned before, can be used for more Latent Magicites when Desynthesising.

Myst can craft an assortment of Magicites throughout the run, which can be seen here (A whole lot more is yet to come)
| Icon | Name | Description | Type |
|:--|--|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Fireball** | Shoots a homing fireball at the target that explodes on impact, damaging and burning enemies in the AoE. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Cone of Frost** | Summon a cone of Icy Wind to damage and freeze enemies before you. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Call Lightning** | Call down a bolt of lightning onto your target, dealing damage and knocking airborne targets to the ground. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Magnet** | Summon a magnetic field to pull in enemies in a wide area around the target. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Fortify** | After a brief Channel: Provides a powerful armor buff to yourself and an Ally Target. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Haste** | After a brief Channel: Provides Movement and Attack Speed to yourself and an Ally Target. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Mend Wounds** | After a brief Channel: Heals yourself and an Ally Target for 100% of their Max Health. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Acid Splash** | Shoots a homing ball of acid at the Target, dealing minor damage, and applying Poison, Blight, Slow, and Weak. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Ultima** | After a brief Channel: Creates a large vortex of pure energy that deals incredible damage after a long delay. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Pot** | Summons a pot at the crosshair's position. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586290077756/MagiciteSpell.png) | **Gust** | Pushes all enemies before you away. | Spell |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585883226112/MagiciteFinisher.png) | **Explosion** | Stand your ground and summon Orbs of Light to orbit you, damaging and stunning nearby enemies. | Finisher |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585883226112/MagiciteFinisher.png) | **Fated Circle** | A Spinning Attack that stuns and pulls in enemies, followed by fiery explosions that knock them away, dealing heavy damage. | Finisher |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586088755220/MagiciteLimit.png) | **Blasting Zone** | Summon a giant pillar of force to envelop the Vorpal Sword, before swinging the blade to send it crashing down onto foes before you, dealing incredible damage across a wide area. | Limit |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738586088755220/MagiciteLimit.png) | **Wild Magic** | Does something entirely Random, and almost completely Unpredictable | Limit |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **All** | [Rare] Attached Spell fires on extra targets or over a wider area. | Support |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **Multi** | [Rare] Attached Spell fires multiple times. (this one is being looked at for nerfs, but for now, enjoy) | Support |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **MP Turbo** | [Rare] Attached Spell deals more damage, and costs more MP. | Support |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **MP Thrift** | [Rare] Attached Spell costs less MP. | Support |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **Use On Cast** | [Rare] Activates 'Use Interactable' effects on cast. | Support |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **Kill On Cast** | [Rare] Activates 'On Kill' effects on cast. | Support |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **Health Syphon** | [Rare] Grants health based on Magic Cost. | Support |
|![](https://cdn.discordapp.com/attachments/534719955418087435/967738585652559942/MagiciteSupport.png) | **Limit Syphon** | [Rare] Grants Limit based on Magic Cost. | Support |


----
#Credits

JavAngle - Director, Code-Person, Ideas-Man, VFX-Artist, and incredibly handsome and totally didn't write this himself

Dotflare - Modeler and Animator https://twitter.com/dotflare3

KateWelch - Character Designer and Concept Artist

Sky - Designer and Modeler of the Latent Magicite https://ko-fi.com/nsk41

----
#Concept Art Gallery

[![](https://cdn.discordapp.com/attachments/534719955418087435/980737639160373258/MystMainConcept.png)]()
[Mysts Original Concept Art - by KateWelch]

[![](https://cdn.discordapp.com/attachments/534719955418087435/980738051565297684/VorpalSwordConcept.png)]()
[Vorpal Sword Concept Art - by KateWelch]

[![](https://cdn.discordapp.com/attachments/534719955418087435/980737638657036318/MystColourConcept.png)]()
[Coloured Concept Art - by KateWelch]

[![](https://cdn.discordapp.com/attachments/534719955418087435/980737638417973248/MagiciteConcepts.png)]()
[![](https://cdn.discordapp.com/attachments/534719955418087435/980737638099189770/LatentMagiciteConcept.png)]()
[Latent Magicite Concept Arts - by Sky]

----
#Special Thanks to

Rob - For providing the community with a template character to make creating mods like this infinitely easier, he might not be making mods anymore, but his template is the backbone of this mod, so it warrants a mention

FireyIcy - My darling beloved, he helped me test Myst for multiplayer, and without him, Myst would probably be very broken

KingEnderBrine (UTC+7) - Helped me fix Item Displays being broken

TheTimesweeper - Helped me figure out how to control the game camera

IDeathHD - Where do I even begin, this guy's great, he's extremely active in the RoR2 Modding Discord, and answers peoples development questions, including most of the questions I have asked, this guy has spent so much of his time helping people with mod making, he deserves the biggest pat on the back you could possibly imagine, thank you Former-Pretty-Sloth-Colours-Man :D

And of course, YOU! for not only checking out my mod, but caring enough to scroll through the README, and even check out the credits, it means a lot to me. :)

----
#Changlelog

-0.6.0

Added Synthesis and Desynthesis.
Added 7 new spells, and 1 new Limit Break.
Increased the downwards knockback of Call lightning, and buffed the damage of both Call Lightning and Cone of Frost.
Slightly increased the damage of Vorpal Slice.
Overhauled the target indicator, can now target things from twice as far, but you may only dash to the target if they are under a certain distance (which is the same length as the previous targeting distance) which is indicated by an orange addition to the targeter (effectively, all this means is that you can use targeted spells like Call Lightning from twice as far away, but you may not dash further than before).
Added additional target indicators for sub-targets for use with multi-target spells, as well as an ally target indicator for use with Ally Target spells.
Fixed Preon Accumulator breaking the equipment slot if it's the first equipment you picked up (this should also fix some modded equipment icons).
Replaced the placeholder icon for the Magicite menu in the hotbar cluster.
The custom HuD now correctly shows the keybinds of the player.
Limit Gauge now charges 3 times slower.
Limit Gauge now charges based on Proc Coefficient (less Proc Coefficient = less Limit Charge).
Blasting Zone now prevents the Limit Gauge charging for 20 seconds after its duration (preventing procced items from granting you most if not all of your spent Limit back).


-0.5.0

Released